
Foreman - Bug #15464

Pagelets should be keyed by the partial they appear on

06/20/2016 06:18 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Plugin integration   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3608

  

Description

Now the key is "#{controller}/#{action}" which forces people that want to use this extension point to know the actions the partial is

used in.

For example:

assume a pagelet placeholder in hosts/_form.html.erb:

render_pagelets_for(:main_tab_fields, :host => @host, :form => f)

 In order to add content to this pagelet, you have to register your pagelet for multiple actions:

    %w(hosts/new hosts/edit hosts/process_hostgroup).each do |action|

      mgr = Pagelets::Manager.new action

      mgr.add_pagelet :main_tab_fields,

      :partial => 'hosts/puppet/main_tab_fields',

      :priority => 100

    end

Related issues:

Related to Foreman - Feature #12716: As a foreman developer I'd like to have ... Closed 12/07/2015

Associated revisions

Revision 49cfbd45 - 07/12/2016 08:34 AM - Ondřej Pražák

Fixes #15464 - support partials in pagelet keys

Pagelets will be keyed as "#{controller}/#{partial_name}". This

removes a necessity to register a pagelet multiple times if a

partial is reused for different actions.

History

#1 - 06/20/2016 06:28 AM - Dominic Cleal

- Category set to Plugin integration

#2 - 06/20/2016 06:29 AM - Dominic Cleal

- Related to Feature #12716: As a foreman developer I'd like to have way of extending the data returned from smart proxy api. added

#3 - 06/23/2016 03:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/3608 added

#4 - 07/12/2016 09:02 AM - Ondřej Pražák
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 49cfbd4512d099289f7ba7e72c59466b4e5a7801.

#5 - 07/12/2016 10:23 AM - Dominic Cleal

- translation missing: en.field_release set to 160
